<?php

// THEME SETUP
function kihon_setup() {

	// Add RSS feed links to <head>
	add_theme_support( 'automatic-feed-links' );

	// Add custom header support
	$args = array(
		'flex-width'	=> true,
		'width'	=> 860,
		'flex-height'	=> true,
		'height'	=> 120,
	);
	add_theme_support( 'custom-header', $args );
	
	// Add custom background support
	add_custom_background();

	// Register menus
	register_nav_menu( 'main-menu', 'Main Menu' );

}
add_action( 'after_setup_theme', 'kihon_setup' );

// REGISTER SIDEBARS
function kihon_widgets_init() {

	// Primary right column
	register_sidebar( array(
	    'name' => 'Primary Right Column',
	    'id' => 'primary-right-column',
	    'description' => 'The primary right column.',
	    'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
	    'after_widget' => '</li>',
	    'before_title' => '<h3 class="widget-title">',
	    'after_title' => '</h3>'
	) );

}
add_action( 'widgets_init', 'kihon_widgets_init' );

// COMMENT CALLBACK
function kihon_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>" class="comment-body">
      <div class="comment-author vcard">
         <?php echo get_avatar($comment,$size='32',$default='<path_to_url>' ); ?>
         <?php printf(__('<cite class="fn">%s</cite> <span class="says">says:</span>'), get_comment_author_link()) ?>
      </div>
      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Your comment is awaiting moderation.') ?></em>
         <br />
      <?php endif; ?>

      <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(__('(Edit)'),'  ','') ?></div>

      <?php comment_text() ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
     </div>
<?php }

?>